name: linuxserver-emby
services:
  app:
    image: linuxserver/emby:4.9.3
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
    ports:
      - target: 8096
        published: 8096
        protocol: tcp
      - target: 8920
        published: 8920
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/emby/config
        target: /config
      - type: bind
        source: /srv/lsio/emby/data/tvshows
        target: /data/tvshows
      - type: bind
        source: /srv/lsio/emby/data/movies
        target: /data/movies
      - type: bind
        source: /opt/vc/lib
        target: /opt/vc/lib
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: Emby organizes video, music, live TV, and photos from personal media libraries and streams them to smart TVs, streaming boxes and mobile devices. This container is packaged as a standalone emby Media Server.
  tagline:
    en_us: Organizes video, music, live TV, and photos from personal media libraries and streams them to smart TVs, streaming boxes and mobile devices. This container is packaged as a standalone emby Media Server.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/emby-logo.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/emby-logo.png
  title:
    en_us: Emby
  category: LinuxServer.io
